Bug 1277061 - [Docs] [Installation] [SHE] Update the dwh & reports section to include '--reconfigure-optional-components'
[Docs] [Installation] [SHE] Update the dwh & reports section to include '--re...
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
Unspecified Unspecified
medium Severity low
: ovirt-3.6.7
: ---
Assigned To: Julie
Tahlia Richardson
Depends On: 1072360 1166077
Blocks: 1166078
  Show dependency treegraph
Reported: 2015-11-02 03:52 EST by Julie
Modified: 2016-06-19 21:24 EDT (History)
23 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1166077
Last Closed: 2016-06-19 21:24:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Docs
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 1272823 None None None Never
oVirt gerrit 35319 None None None Never
oVirt gerrit 35320 None None None Never
oVirt gerrit 35322 None None None Never

  None (edit)
Comment 2 Julie 2015-11-15 21:15:30 EST
More feedback from Didi in regards to the data warehouse and reports topics.
8.4.1 Prerequisites 1.: Not exactly. You can also set them up all at once.
Not that important.

8.4.2 Prerequisites 2.: I'd phrase the last two a bit more generally,

- Access to the database of the engine.
  If it was set up automatically, (then the existing text), otherwise
you'll also need to provide access on the database machine to the
dwh/reports machine (including pg_hba.conf, firewall, etc., up to you how
much to detail).

Similarly with the other procedures.

Procedure 8.2. step 6 and 8: Do not install the package 'rhevm'. If for any
reason you do, in step 8 you are asked whether to configure the engine.
Reply 'No'.

A reason why you might need/want to install rhevm on this machine:
Currently engine-backup is in rhevm-tools, which requires rhevm. If you
want to use it to backup dwh/reports, you are in above flow.

Similarly with the other procedures.

8.4.3 Prerequisites 3.: (in addition to notes above) last point should be:
allow access to the _dwh_ machine pg port 5432.

We specifically do not require access to the engine db. We used to, at some
point, and dropped this. This is mainly to allow separating the network:
Have one network with the engine and one with the dwh db. Users might want
other software/systems access dwh db (for analysis, billing, whatever) and
still not expose the engine.

8.4.4 Prerequisites: Again, engine+dwh can be done in a single run.

Procedure 8.8 step 1.: This one is different. Here, you can't do
engine+reports in a single run, because you still do not have dwh. If you
did install both, and reply 'yes' to both, you are stuck when asked about
dwh db. If you reply 'no' to Reports, install dwh, then run again
'engine-setup', you'll not be asked again about Reports. If you want to be
asked again, you can do this with 'engine-setup
--reconfigure-optional-components'. This option was added in 3.5.0, you
might want to add it here.
Comment 3 Lucy Bopf 2016-06-07 02:49:19 EDT
Assigning to Julie for review.
Comment 4 Julie 2016-06-19 21:24:38 EDT
Revisited this old bug.
The reconfigure option is included and published already. See https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.6/html-single/Self-Hosted_Engine_Guide/index.html#Data_Warehouse_and_Reports_Configuration_Notes for more information.

Other feedback do not apply anymore after the restructuring of the data warehouse section. The section will be reviewed again as part of the 4.0 release.

Please feel free to open a new bug if you have any questions or concerns.

Kind regards,

Note You need to log in before you can comment on or make changes to this bug.